using System;
using System.Collections;
using System.ComponentModel;
using DevExpress.XtraReports.UI;
using BeWo.Report.ReportObjects;
using BeWo.Report;
using System.Collections.Generic;

namespace BeWo.LebenshilfeRodenkirchenReports
{
    public partial class Stundenzettel : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<ServicesOverviewRO>
    {
        public Stundenzettel()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(ServicesOverviewRO pRO)
        {
	        DateTime dt;
	        TimeSpan tspan;
	        double d;

			if (pRO.Services != null)
			{
				//List<ServicesOverviewRO.ServiceDetail> servicesBillable = new List<ServicesOverviewRO.ServiceDetail>();

				foreach (ServicesOverviewRO.ServiceDetail s in pRO.Services)
				{
					if (s.IsBillable)
					{
						dt = DateTime.Now.Date.AddMinutes(s.Minutes*(double) pRO.RateFactor);
						tspan = dt.Subtract(DateTime.Now.Date);

						d = tspan.TotalHours;

						d = Math.Floor(d);

						s.FLSQualifiedString = String.Format("{0}:{1:00}", d, tspan.Minutes);
						//servicesBillable.Add(s);
					}
					else
					{
						s.FLSQualifiedString = "";
					}
				}

				//pRO.Services = servicesBillable;
			}

			dt = DateTime.Now.Date.AddMinutes(pRO.TotalFLMBillable * (double)pRO.RateFactor);
			tspan = dt.Subtract(DateTime.Now.Date);

			d = tspan.TotalHours;

			d = Math.Floor(d);

			pRO.TotalFLSQualifiedString = String.Format("{0}:{1:00}", d, tspan.Minutes);

            this.bindingSource1.DataSource = pRO;
        }
    }
}
